---
title: get configuration records
slug: api-documentation/8MG6-get-configuration-records
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "ox2fJf48fwriGlmmN_vRZ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/tax/cfg/records",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/cfg/records",
        "description": "Dev Server"
      }
    ],
    "name": "get configuration records",
    "description": "<p>This endpoint displays all the configurations associated with a certain tenant.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>CfgModuleHttpApiAuthorizers.recordReadAuthorizer</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-the configurations are displayed.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "minItems": 1,
            "uniqueItems": true,
            "schema": [
              {
                "name": "tenant",
                "kind": "required",
                "type": "string",
                "description": "Tenant identifier associated with this configuration.",
                "minLength": 1
              },
              {
                "name": "domain",
                "kind": "required",
                "type": "string",
                "description": "Domain of this configuration.",
                "minLength": 1
              },
              {
                "name": "recordId",
                "kind": "required",
                "type": "string",
                "description": "Record identifier associated with this configuration.",
                "minLength": 1
              },
              {
                "name": "templateId",
                "kind": "required",
                "type": "string",
                "description": "Template identifier for this configuration's template.",
                "minLength": 1
              },
              {
                "name": "siteIds",
                "kind": "optional",
                "type": "array",
                "description": "Unique site identifiers associated with this configuration's tenant.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "tags",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of the tax calculation system for this configuration record.",
                "minLength": 1
              },
              {
                "name": "data",
                "kind": "required",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "companyCode",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique company code for this configuration's company.",
                    "minLength": 1
                  },
                  {
                    "name": "environment",
                    "kind": "required",
                    "type": "string",
                    "description": "Environment type for this configuration.",
                    "minLength": 1
                  },
                  {
                    "name": "password",
                    "kind": "required",
                    "type": "string",
                    "description": "Hashed password associated with the username.",
                    "minLength": 1
                  },
                  {
                    "name": "taxCalculationEnabled",
                    "kind": "required",
                    "type": "boolean",
                    "description": "<p>This flag determines whether the tax is calculated for this configuration record or not. If the flag is set to true, the tax is calculated for this configuration record.</p>"
                  },
                  {
                    "name": "documentRecordingEnabled",
                    "kind": "required",
                    "type": "boolean",
                    "description": "<p>This flag determines whether the transactions made by this configuration are reported to the authorities or not. If the flag is set to true, the transactions may be recorded permanently.</p>"
                  },
                  {
                    "name": "timeoutSeconds",
                    "kind": "required",
                    "type": "number",
                    "description": "This field specifies the time limit after which the API throws an error."
                  },
                  {
                    "name": "addressValidationEnabled",
                    "kind": "required",
                    "type": "boolean",
                    "description": "<p>This flag determines whether the address for this configuration is validated or not. If the flag is set to true, the address is validated.</p>"
                  },
                  {
                    "name": "taxAddress",
                    "kind": "required",
                    "type": "object",
                    "description": "Address for this configuration's company.",
                    "example": "",
                    "schema": [
                      {
                        "name": "country",
                        "kind": "required",
                        "type": "string",
                        "description": "Country where the company resides.",
                        "minLength": 1
                      },
                      {
                        "name": "stateOrRegion",
                        "kind": "required",
                        "type": "string",
                        "description": "Two character code for State or Region.",
                        "minLength": 1
                      },
                      {
                        "name": "city",
                        "kind": "required",
                        "type": "string",
                        "description": "City name.",
                        "minLength": 1
                      },
                      {
                        "name": "postalCode",
                        "kind": "required",
                        "type": "string",
                        "description": "Postal code.",
                        "minLength": 1
                      },
                      {
                        "name": "street1",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>Street name/number.</p>",
                        "minLength": 1
                      }
                    ]
                  },
                  {
                    "name": "taxProvider",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the provider that provides the tax calculation service for this configuration record.",
                    "minLength": 1
                  },
                  {
                    "name": "transactionLoggingEnabled",
                    "kind": "required",
                    "type": "boolean",
                    "description": "<p>This flag determines whether the transactions made by this configuration are logged or not. If the flag is set to true, the transactions are logged.</p>"
                  },
                  {
                    "name": "username",
                    "kind": "required",
                    "type": "string",
                    "description": "Username of the user this configuration record is associated with.",
                    "minLength": 1
                  }
                ]
              },
              {
                "name": "enabled",
                "kind": "required",
                "type": "boolean",
                "description": "This flag determines whether this configuration is active or not. "
              },
              {
                "name": "version",
                "kind": "required",
                "type": "number",
                "description": "Version of this configuration."
              },
              {
                "name": "accessControl",
                "kind": "required",
                "type": "object",
                "description": "These flags determine how this configuration can be accessed.",
                "example": "",
                "schema": [
                  {
                    "name": "read",
                    "kind": "required",
                    "type": "boolean",
                    "description": "This flag determines whether this configuration can be read or not."
                  },
                  {
                    "name": "modify",
                    "kind": "required",
                    "type": "boolean",
                    "description": "This flag determines whether this configuration can be modified or not."
                  }
                ]
              },
              {
                "name": "audit",
                "kind": "required",
                "type": "object",
                "description": "Auditing process details of this configuration.",
                "example": "",
                "schema": [
                  {
                    "name": "byId",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "minLength": 1
                  },
                  {
                    "name": "by",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "minLength": 1
                  },
                  {
                    "name": "byAnonymous",
                    "kind": "required",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "",
                    "example": "2021-11-24T11:37:34.385Z",
                    "format": "date-time",
                    "minLength": 1
                  },
                  {
                    "name": "traceId",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "minLength": 1
                  },
                  {
                    "name": "serviceName",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "minLength": 1
                  },
                  {
                    "name": "serviceVersion",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "minLength": 1
                  },
                  {
                    "name": "byDomain",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "minLength": 1
                  },
                  {
                    "name": "bySubjectType",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "minLength": 1
                  },
                  {
                    "name": "traceHeaders",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  }
                ]
              }
            ],
            "itemType": "object",
            "customType": "object[]",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "aS4tz8UPN4RXk-cl5PP47",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/tax/cfg/records \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "5Mke4c5VoNI-qatXRgbd0",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/cfg/records\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "HAEGVStn_Xd4rD7TwYVHt",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/cfg/records\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "W0JOrQFo87Pd7wIVnf9t5",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/cfg/records\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "aS4tz8UPN4RXk-cl5PP47"
    },
    "results": {
      "languages": [
        {
          "id": "tW5vi4UL_s1RXa_EdV7Ls",
          "language": "200",
          "code": "// Success-the configurations are displayed.\n[\n  {\n    \"tenant\": \"\",\n    \"domain\": \"\",\n    \"recordId\": \"\",\n    \"templateId\": \"\",\n    \"siteIds\": [\n      \"\"\n    ],\n    \"tags\": [\n      \"\"\n    ],\n    \"name\": \"\",\n    \"data\": {\n      \"companyCode\": \"\",\n      \"environment\": \"\",\n      \"password\": \"\",\n      \"taxCalculationEnabled\": false,\n      \"documentRecordingEnabled\": false,\n      \"timeoutSeconds\": 0,\n      \"addressValidationEnabled\": false,\n      \"taxAddress\": {\n        \"country\": \"\",\n        \"stateOrRegion\": \"\",\n        \"city\": \"\",\n        \"postalCode\": \"\",\n        \"street1\": \"\"\n      },\n      \"taxProvider\": \"\",\n      \"transactionLoggingEnabled\": false,\n      \"username\": \"\"\n    },\n    \"enabled\": false,\n    \"version\": 0,\n    \"accessControl\": {\n      \"read\": false,\n      \"modify\": false\n    },\n    \"audit\": {\n      \"byId\": \"\",\n      \"by\": \"\",\n      \"byAnonymous\": false,\n      \"at\": \"2021-11-24T11:37:34.385Z\",\n      \"traceId\": \"\",\n      \"serviceName\": \"\",\n      \"serviceVersion\": \"\",\n      \"byDomain\": \"\",\n      \"bySubjectType\": \"\",\n      \"traceHeaders\": \"\"\n    }\n  }\n]"
        },
        {
          "id": "jODHWPUK9HMk-kC8UIGXq",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "nGneKLjpno--jRm4Olfba",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        }
      ],
      "selectedLanguageId": "tW5vi4UL_s1RXa_EdV7Ls"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}